#pragma once

#include <f8/userapp.h>

class App : public f8::UserApp
{
    A8_DECLARE_SINGLETON(App);
public:

    virtual const std::string GetPkgName() override;
    virtual int GetPreprocessThreadNum() override;
    virtual void Init() override;
    virtual void UnInit() override;
    virtual void Update(int delta_time) override;
    virtual bool HasTask() override;
    virtual void DispatchSocketMsg(f8::MsgHdr* hdr) override;
    virtual void PreprocessSocketMsg(f8::MsgHdr* hdr) override;

};
